@extends('layout')


@section('content')

<div class="page-header page-header-default">
	<div class="breadcrumb-line">
		<ul class="breadcrumb">
			<li><a href="index.html"><i class="icon-home2 position-left"></i> Master</a></li>
			<li class="active">Kelompok</li>
		</ul>
	</div>
</div>

<div class="content">
	<div class="panel panel-flat">
		<div class="panel-heading">
			<h5 class="panel-title">Kelompok Barang</h5>
			<div class="heading-elements">
				<ul class="icons-list">
		      		<li><a data-action="collapse"></a></li>
		      	</ul>
	       	</div>
	    </div>
	    <div class="panel-body">
	    	<button class="btn btn-primary" id="btn_tambah_kb"><i class=""></i>Tambah</button>
	    </div>

	    <table class="table table-stripped table_kelompok" id="">
	    	<thead>
				<tr>
					<th class="text-center" width="3%">No</th>
					<th class="text-center">Kelompok Barang</th>
					<th class="text-center" width="10%">Aksi</th>
				</tr>
			</thead>
			<tbody>
				
			</tbody>
	    </table>
	</div>
</div>

<div class="modal fade" id="exampleModal" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
	<div class="modal-dialog" role="document">
	    <div class="modal-content">
	    	<div class="modal-header">
	    		<h5 class="modal-title" id="exampleModalLabel">Data</h5>
	    		<button type="button" class="close" data-dismiss="modal" aria-label="Close"> <span aria-hidden="true">&times;</span></button>
	      	</div>
	      	<div class="modal-body">
	      		<form class="form-horizontal" autocomplete="off" id="form_kb">
	      			<input type="hidden" name="popup_kb">
	      			<div class="form-group">
	      				<label class="control-label col-sm-4">Nama Kelompok</label>
	      				<div class="col-sm-8">
	      					<input type="text" name="popup_nama" class="form-control">
	      				</div>
	      			</div>
	      			
	      		</form>
	      	</div>
	      	<div class="modal-footer">
	      		<button type="button" class="btn btn-primary" id="btn_popup_simpan">Simpan</button>
	      	</div>
	    </div>
	</div>
</div>



<script type="text/javascript">
	var tb;
	var formKelompokBarang = $("#form_kb");

	var formKelompokBarang = $("#form_kb");
	var selectAkunBarang = formKelompokBarang.find("select[name=id_akun]");

	$(document).ready(function(){

		tb = $(".table_kelompok").DataTable({
			processing: true,
	        serverSide: true,
	        ajax: '{{ url('kelompok/tampil') }}',
	        columns: [
	            {data: 'rownum', name: 'rownum', orderable: false, searchable: false, render : function(data, type, full, meta){
			  		return meta.row+1;
			  	}},
	            {data: 'nama_kelompok', name: 'nama_kelompok'},
	            {data: 'aksi', name: 'aksi', orderable: false, searchable: false}
	        ],
		});
		
	})

	$("#btn_tambah_kb").click(function(){
		$("[name=popup_kb]").val('');
		$("[name=popup_nama]").val('');

		$("#exampleModal").modal("show");
	})


	function edit_kel(id){
		var id_kb = $("#table_id"+id).val();
		var nama = $("#table_nama"+id).val();

		$("[name=popup_kb]").val(id_kb);
		$("[name=popup_nama]").val(nama);

		$("#exampleModal").modal('show');

	}

	function hapus_kel(id){
		swal({
			title: 'Anda yakin akan menghapus item ini?',
			type: 'warning',
			showCancelButton: true,
			confirmButtonColor: '#3085d6',
			cancelButtonColor: '#d33',
			confirmButtonText: 'Ya',
			cancelButtonText: 'Tidak',
		}).then((result) => {
		 	if(result.value){
		 		$.ajax({
					url: "{{ url('kelompok/hapus')}} ",
					type: 'post',
					data: {id : id},
					headers : {
						'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
					},
					success: function(respon){
						tb.ajax.reload();
					}
				})
		 	}
		})
	}

	$("#btn_popup_simpan").click(function(){
		var id_kb = $("[name=popup_kb]").val();
		var nama = $("[name=popup_nama]").val();

		if(nama != ''){
			$.ajax({
				url: "{{ url('kelompok/simpan')}} ",
				type: 'post',
				data: {id:id_kb, nama:nama},
				headers : {
					'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
				},
				success: function(respon){
					tb.ajax.reload();
					$("#exampleModal").modal('hide');
				}
			})
		}
	})
	
</script>

@endsection